Package com.google.android.exoplayer2.source.dash.manifest

## Class Descriptor

- java.lang.Object
- - com.google.android.exoplayer2.source.dash.manifest.Descriptor

-     public final class Descriptor
      extends Object

  A descriptor, as defined by ISO 23009-1, 2nd edition, 5.8.2.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `String` | `id` | The identifier, or null.
    `String` | `schemeIdUri` | The scheme URI.
    `String` | `value` | The value, or null.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Descriptor​(String schemeIdUri, String value, String id)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(Object obj)` |
    `int` | `hashCode()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### schemeIdUri

          public final String schemeIdUri

      The scheme URI.

    - #### value

          @Nullable
          public final String value

      The value, or null.

    - #### id

          @Nullable
          public final String id

      The identifier, or null.

  - ### Constructor Detail

    - #### Descriptor

          public Descriptor​(String schemeIdUri,
                            @Nullable
                            String value,
                            @Nullable
                            String id)

      Parameters:
        `schemeIdUri` - The scheme URI.
        `value` - The value, or null.
        `id` - The identifier, or null.

  - ### Method Detail

    - #### equals

          public boolean equals​(@Nullable
                                Object obj)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`